Package org.eclipse.microprofile.openapi.tck

# Class PetStoreAppTest

java.lang.Object
org.jboss.arquillian.testng.Arquillian
org.eclipse.microprofile.openapi.tck.AppTestBase
org.eclipse.microprofile.openapi.tck.PetStoreAppTest

All Implemented Interfaces:
  `org.testng.IHookable`, `org.testng.ITestNGListener`

public class PetStoreAppTest extends AppTestBase

## Nested Class Summary

## Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

## Field Summary

### Fields inherited from class org.eclipse.microprofile.openapi.tck.AppTestBase

`YAML_FILTER`

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

## Constructor Summary

Constructors
Constructor
Description
`PetStoreAppTest()`

## Method Summary

Modifier and Type
Method
Description
`static org.jboss.shrinkwrap.api.spec.WebArchive`
`createDeployment()`
`void`
`testAPIResponseSchema(String type)`
`void`
`testAPIResponseSchemaDefaultResponseCode(String type)`
`void`
`testDefaultResponseType()`
`void`
`testExtensionPlacement(String type)`
`void`
`testOAuthFlow(String type)`
`void`
`testOAuthFlows(String type)`
`void`
`testOpenAPIEssentials(String type)`
`void`
`testRequestBodySchema(String type)`
`void`
`testSchema(String type)`
`void`
`testSecurityRequirement(String type)`
`void`
`testSecurityScheme(String type)`
`void`
`testSecuritySchemes(String type)`

### Methods inherited from class org.eclipse.microprofile.openapi.tck.AppTestBase

`callEndpoint, configureRestAssured, dereference, dereference, provide`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PetStoreAppTest

public PetStoreAppTest()

## Method Details

### createDeployment

@Deployment(name="petstore", testable=false) public static org.jboss.shrinkwrap.api.spec.WebArchive createDeployment()

### testOpenAPIEssentials

public void testOpenAPIEssentials(String type)

### testSchema

public void testSchema(String type)

### testSecurityRequirement

public void testSecurityRequirement(String type)

### testSecuritySchemes

public void testSecuritySchemes(String type)

### testSecurityScheme

public void testSecurityScheme(String type)

### testOAuthFlows

public void testOAuthFlows(String type)

### testOAuthFlow

public void testOAuthFlow(String type)

### testDefaultResponseType

public void testDefaultResponseType()

### testRequestBodySchema

public void testRequestBodySchema(String type)

### testAPIResponseSchema

public void testAPIResponseSchema(String type)

### testAPIResponseSchemaDefaultResponseCode

public void testAPIResponseSchemaDefaultResponseCode(String type)

### testExtensionPlacement

public void testExtensionPlacement(String type)